Page 1 of 1

Brother HL-L2300D Printer on Pi

Posted: Fri Jul 24, 2015 11:11 am
by hal58
Newegg just had a special on these Laser printers for $49.99 and I picked one up to use as a network printer from a Raspberry Pi2. Unfortunately, Brother only fully supports MS-Windows and Mac and a token i386 driver for Linux. They claim that their binary portion of this driver is proprietary and apparently won release the source, so I went digging and thanks to Peter De Wachter found success. With a little tweaking to his instructions, his sources are compilable on the Pi2 and seem to work well.

First, download his ZIP file at https://github.com/pdewacht/brlaser and unzip it. It creates a directory called brlaser-master. in your current directory. ´cd´ into it. Next you will need to install the tools to compile source code and some other files to use as input. Get these with:

sudo apt-get install cups build-essential libcups2-dev libcupsimage2-dev automake-1.11

The last file in this list was missing from the original instructions and removed some errors.

Next, begin the configuration and compilation process. After each step, you _should_ receive no errors but if you do, try to correct them before moving on.

./autogen.sh
./configure
make
sudo make install

If there were no errors when you get here, then the driver is installed and you are ready to configure the printer driver. By default, version 3 of this driver (which is the one currently available) supports three Brother printers:
* Brother DCP-7030
* Brother DCP-7055
* Brother DCP-7065DN

First reset the CUPS driver so that these new choices are available

sudo service cups restart

Then open a browser (Epiphany is the new default) and navigate to:
http://localhost:631
select the ´Administration´ tab and ´Add Printer´. You will be prompted for your username and password. Step through the options selecting one of the available drivers with ´brlaser´ in it. Just to make sure that it is working, select the ´Maintenance´ tab and print a test sheet. If it comes out Ok, then you are good to print.

Enjoy and thanks to Peter for doing the hard work.

Re: Brother HL-L2300D Printer on Pi

Posted: Thu Dec 03, 2015 7:52 pm
by PhotonX
Hi, are you still able to use your HL-L2300D on the Raspi? I've followed your HowTo (big thanks for it!) but ran into some strange problems: viewtopic.php?t=127401

Re: Brother HL-L2300D Printer on Pi

Posted: Tue Feb 02, 2016 10:42 pm
by Ridgeland
Thank you!
I now have a Raspberry Pi with SSH and VNC working as a WiFi local print server. My printer is a DCP7065DN. Brother's download did not work, neither did the listed ones from jessie. I have tightvncserver in /etc/rc.local on the Raspberry Pi so any time it's on I can access it from my PC using vncviewer. I'm using Xubuntu 14.04.3 at my PC.
The automake-1.11 crashed - use just "automake" as now it's at 1.14 I think.

Re: Brother HL-L2300D Printer on Pi

Posted: Wed Feb 03, 2016 8:00 am
by PhotonX

Re: Brother HL-L2300D Printer on Pi

Posted: Wed Jun 13, 2018 4:14 am
by jhansx
I think the text is wrong on the automake-1.11.

Code: Select all

[email protected]:~ $ sudo apt-get install cups build-essential libcups2-dev libcupsimage2-dev automake-1.11
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package automake-1.11
E: Couldn't find any package by glob 'automake-1.11'
E: Couldn't find any package by regex 'automake-1.11'
BUT ;) when I use ths

Code: Select all

sudo apt-get automake1.11
I get a normal install...

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  lxkeymap python-gobject python-xklavier
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  autoconf autotools-dev libsigsegv2 m4
Suggested packages:
  autoconf-archive gnu-standards autoconf-doc libtool gettext m4-doc
The following NEW packages will be installed:
  autoconf automake1.11 autotools-dev libsigsegv2 m4
0 upgraded, 5 newly installed, 0 to remove and 34 not upgraded.
Need to get 1,160 kB of archives.
After this operation, 4,026 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
I haven't completed the install yet but it looks promising./
FINALLY A PRINTER ON RPI... maybe.

Re: Brother HL-L2300D Printer on Pi

Posted: Wed Jun 13, 2018 6:45 am
by fruitoftheloom
jhansx wrote:
Wed Jun 13, 2018 4:14 am
I think the text is wrong on the automake-1.11.

Code: Select all

[email protected]:~ $ sudo apt-get install cups build-essential libcups2-dev libcupsimage2-dev automake-1.11
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package automake-1.11
E: Couldn't find any package by glob 'automake-1.11'
E: Couldn't find any package by regex 'automake-1.11'
BUT ;) when I use ths

Code: Select all

sudo apt-get automake1.11
I get a normal install...

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  lxkeymap python-gobject python-xklavier
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  autoconf autotools-dev libsigsegv2 m4
Suggested packages:
  autoconf-archive gnu-standards autoconf-doc libtool gettext m4-doc
The following NEW packages will be installed:
  autoconf automake1.11 autotools-dev libsigsegv2 m4
0 upgraded, 5 newly installed, 0 to remove and 34 not upgraded.
Need to get 1,160 kB of archives.
After this operation, 4,026 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
I haven't completed the install yet but it looks promising./
FINALLY A PRINTER ON RPI... maybe.

Unfortunately Brother support for Linux ARMHF is abysmal....

Re: Brother HL-L2300D Printer on Pi

Posted: Sun Sep 23, 2018 9:02 pm
by joshlicht
I am having trouble after downloading the zip file. i used this command [ sudo apt-get install cups build-essential libcups2-dev libcupsimage2-dev automake-1.11 ] but it gave an error saying it couldn't find it. so i used [ sudo apt-get install automake1.11 ] and it downloaded. but now when i try to do the next step [ ./autogen.sh ] [ ./configure ] [ make ] [ sudo make install ] it says no such file or directory.
can anyone help?

Re: Brother HL-L2300D Printer on Pi

Posted: Mon Sep 24, 2018 6:14 am
by PhotonX
Looks like you need to cd into the directory where you unpacked your zip file.

Re: Brother HL-L2300D Printer on Pi

Posted: Wed Sep 26, 2018 4:03 pm
by joshlicht
how would i cd into the file?

Re: Brother HL-L2300D Printer on Pi

Posted: Wed Sep 26, 2018 6:30 pm
by PhotonX
Well, as usual, via

Code: Select all

cd /path/to/extracted_folder
Most probably the folder is somewhere in your home folder, so it would be

Code: Select all

cd ~/extracted_folder
Of course "extracted_folder" is just a placeholder, you need to find out its name, most probably it is starting with "brother...".

Re: Brother HL-L2300D Printer on Pi

Posted: Fri Sep 28, 2018 9:59 pm
by joshlicht
I tried

Code: Select all

cd/path/to/brlaser-master
which is my file name but it still gave me

Code: Select all

 bash: cd/path/to/brlaser-master: no such file or directory
do you have any other suggestions? did i unzip the file improperly?

Re: Brother HL-L2300D Printer on Pi

Posted: Sat Sep 29, 2018 6:21 am
by PhotonX
Two things:

1. /path/to is also just a placeholder. It could be something like your home folder /home/pi or /home/joshlicht or just ~/ as shorthand notation. It could be also your desktop folder, ~/Desktop. Or any other folder - you have to know where exactly you extracted the zip file.
2. You need a space between the cd command and the folder you want to jump to. So it is

Code: Select all

cd something
not

Code: Select all

cdsomething

Re: Brother HL-L2300D Printer on Pi

Posted: Sat Sep 29, 2018 6:07 pm
by joshlicht
ok I cd into the files thanks to your help. now i'm on to the last steps i think.

Next, begin the configuration and compilation process. After each step, you _should_ receive no errors but if you do, try to correct them before moving on.

./autogen.sh
./configure
make
sudo make install


when i try the

Code: Select all

./autogen.sh
i end up with the same "no such file or directory" do they stand for something in the file i just cd into? any more suggestions? Also thanks for helping me out. you are the best.

Re: Brother HL-L2300D Printer on Pi

Posted: Sat Sep 29, 2018 7:10 pm
by PhotonX
If you have a GUI installed on your Raspi, you can just use the file manager and check where the files are located. Otherwise, you can view the contents of any folder with

Code: Select all

ls -l /path/to/your/folder
or just

Code: Select all

ls
if it is the current folder. You can then jump to any folder with

Code: Select all

cd /path/to/your/folder
This way you can make sure that

Code: Select all

autogen.sh
is there and you are in the folder where it is located.

Re: Brother HL-L2300D Printer on Pi

Posted: Sun Sep 30, 2018 12:14 am
by joshlicht
i am in the proper file of the brlaser-master and it still cant find

Code: Select all

./autogen.sh
i tried it in

Code: Select all

cd /home/pi/Downloads/brlaser-master
and

Code: Select all

cd /home/pi/Downloads/brlaser-master/test
and

Code: Select all

cd /home/pi/Downloads/brlaser-master/src
and it still said no such file or directory. i'm not sure how to get it to work.

Re: Brother HL-L2300D Printer on Pi

Posted: Sun Sep 30, 2018 5:25 am
by PhotonX
Ok, now I looked into the building instructions. Where do you have this autogen.sh thing from? ;) On the brlaser page it says

Code: Select all

cmake .
make
sudo make install
See https://github.com/pdewacht/brlaser

Re: Brother HL-L2300D Printer on Pi

Posted: Sun Sep 30, 2018 7:31 am
by fruitoftheloom
PhotonX wrote:
Sun Sep 30, 2018 5:25 am
Ok, now I looked into the building instructions. Where do you have this autogen.sh thing from? ;) On the brlaser page it says

Code: Select all

cmake .
make
sudo make install
See https://github.com/pdewacht/brlaser

Maybe the driver is available from the Raspbian Stretch Repositories ??

Code: Select all

sudo apt update
sudo apt install printer-driver-brlaser

https://packages.debian.org/stretch/pri ... er-brlaser

Re: Brother HL-L2300D Printer on Pi

Posted: Sun Sep 30, 2018 6:56 pm
by PhotonX
Well, if there are packages, it's even easier! :)

Re: Brother HL-L2300D Printer on Pi

Posted: Tue Oct 02, 2018 1:21 am
by joshlicht
yes the package worked!!! thank you guys so much for the help. :D

Re: Brother HL-L2300D Printer on Pi

Posted: Tue Jan 15, 2019 5:03 am
by salsaman
fruitoftheloom wrote:
Sun Sep 30, 2018 7:31 am

Code: Select all

sudo apt update
sudo apt install printer-driver-brlaser
WOW. My HL-L2340DW is working now, or at least as much as I need it to. This was so much simpler than I thought it would be in the end.

THANK YOU!